import 'package:decimal/decimal.dart';
import 'package:test/expect.dart';
import 'package:test/scaffolding.dart';
import 'package:decimal_extension/decimal_extension.dart';

void main() {
  group('DecimalExtension', () {
    test('.toStringAsFixedFloor()', () {
      expect(Decimal.parse('10.11591').toStringAsFixedFloor(0), '10');
      expect(Decimal.parse('10.11591').toStringAsFixedFloor(1), '10.1');
      expect(Decimal.parse('10.11591').toStringAsFixedFloor(2), '10.11');
      expect(Decimal.parse('10.11591').toStringAsFixedFloor(7), '10.1159100');
    });
  });
}
